*{
    margin: 0;
    padding: 0;
    font-family: 'poppins', sans-serif;
    box-sizing: border-box;
}
body{
    background: #f0f2f5;
    color: #5f5f5f;

}

a{
    text-decoration: none;
    color: #5f5f5f;
}

.navbar{
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: #1f9c43;
    padding: 6px 6%;
    position: sticky;
    top: 0;
    z-index: 100;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
}

.logo img{
    width:50px;
    margin-right: 15px;
    display: block;
}

.navbar-center ul li{
    display: inline-block;
    list-style: none;
}
.navbar-center ul li a{
    display: flex;
    align-items: center;
    font-size: 14px;
    margin: 5px 8px;
    padding-right: 5px;
    position: relative;
}

.navbar-center ul li a img{
    width: 30px;
    margin-right: 10px;
}

.navbar-center ul li a::after{
    content: '';
    width: 0;
    height: 2px;
    background: #94D82D;
    position: absolute;
    bottom: -15px;
    transition: width 0.3s;
}

.navbar-center ul li a:hover::after
{
    width: 100%;
}

.navbar-center ul li a.active-link::after{
    width: 100%;
}

.nav-profile-img{
    width: 40px;
    border-radius: 50%;
    display: block;
    cursor: pointer;
    position: relative;
}

.search-box{
    background-color: #f0f2f5;
    width: 200px;
    border-radius: 20px;
    display: flex;
    align-items: center;
    padding: 0 15px;
}

.navbar-left{
    display: flex;
    align-items: center;
}

.search-box img{
    width: 14px;
}

.search-box input{
    width: 100%;
    background: transparent;
    padding: 8px;
    outline: none;
    border: none;
}


/* ---- Navbar End ---- */


.container{
    padding: 20px 6%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

/*------------Left-sidebar-----------*/
.left-sidebar{
    flex-basis: 25%;
    align-self: flex-start;
    position: sticky;
    top: 73px;
}
.sidebar-profile-box{
    background: #f0f2f5;
}
.sidebar-profile-info{
    padding: 0 25px;
}
.sidebar-profile-info img{
    width: 90px;
    border-radius: 50%;
    background: #fff;
    padding: 4px;
    margin-top: -45px;
}
.sidebar-profile-info h1{
    font-size: 20px;
    font-weight: 600;
    color: #222;
    margin-bottom: 10px;
}
.sidebar-profile-info h3{
    font-size: 14px;
    font-weight: 500;
    color: #777;
    margin-bottom: 10px;
}
.sidebar-profile-link{
    display: flex;
    border-top: 1px solid #ccc;
}
.sidebar-profile-link a{
    flex: 50%;
    display: flex;
    align-items: center;
    padding: 10px ;
    font-size: 15px;
    border-left: 1px solid #ccc;
}
.sidebar-profile-link a img{
    width:40px;
    margin-right: 10px;
}
.sidebar-profile-link a:first-child{
    border-left: 0;
}






/*------------Right-sidebar-----------*/
.right-sidebar{
    flex-basis: 25%;
    align-self: flex-start;
    position: sticky;
    top: 73px;
}
.sidebar-news{
    background: #f0f2f5;
    padding: 10px 25px;
}
.info-icon{
    width: 15px;
    float: right;
    margin-top: 15px;
}
.sidebar-news h3{
    font-size: 18px;
    font-weight: 600;
    color: #333;
    margin: 10px 0 30px;
}
.sidebar-news a{
    display: block;
    font-size: 15px;
    font-weight: 600;
    margin-top: 10px;
    margin-bottom: -5px;
}
.sidebar-news span{
    font-size: 12px;
}
.sidebar-news .read-more-link{
    color: #94D82D;
    font-weight: 500;
    margin: 20px 0 10px;
}
.sidebar-useful-links{
    padding: 15px 25px;
    text-align: center;
}

.sidebar-useful-links a{
    display: inline-block;
    font-size: 14px;
    margin: 4px 2px;
}

.copyright-msg{
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 12px;
    margin-top: 10px;
    font-weight: 500;
}

.copyright-msg img{
    width: 18px;
    margin-right: 4px;

}



/*------------main-content-----------*/
.main-content{
    flex-basis: 47%;
}
.create-post{
    background: #fff;
}
.create-post-input{
    padding: 20px 25px 10px;
    display: flex;
    align-items: flex-start;
}
.create-post-input img{
    width: 30px;
    border-radius: 50%;
    margin-right: 10px;
}
.create-post-input textarea{
    width: 100%;
    border: 0;
    outline: 0;
    resize: none;
    background: transparent;
    margin-top: 8px;
}

::placeholder{
    font-weight: 500;
}

.create-post-links{
display: flex;
align-items: flex;
}
.create-post-links li{
    list-style: none;
    border-top: 1px solid #ccc;
    border-right: 1px solid #ccc;
    flex-basis: 25%;
    height: 40px;
    font-size: 13px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

.create-post-links li img{
    width: 15px;
    margin-right: 5px;
}

.create-post-links li:last-child{
    background: #2b9348;
    color: #fff;
    border-top: 0;
    border-right: 0;

}

.sort-by{
    display: flex;
    align-items: center;
    margin: 10px 0;
}

.sort-by hr{
    flex: 1;
    border: 0;
    height: 1px;
    background: #ccc;
}

.sort-by p{
    font-size: 13px;
    padding-left: 5px;
}

.sort-by p span{
    font-weight: 600;
    cursor: pointer;
}
.sort-by p span img{
    width: 14px;
    margin-left: 3px;
}

.post{
    background: #fff;
    padding: 20px 25px 5px;
    margin: 5px 0 15px;
}

.post-author{
    display: flex;
    align-items: flex-start;
    margin-bottom: 20px;
}

.post-author img{
    width: 30px;
    border-radius: 50%;
    margin-right: 10px;
    margin-top: 5px;
}

.post-author h1{
    font-size: 18px;
    font-weight: 600;
    color: #333;
}

.post-author small{
    display: block;
    margin-bottom: -2px;
}

.post p{
    font-size: 14px;
    margin-bottom: 15px;
}

.post-activity{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px 0;
    font-size: 14px;
    font-weight: 500;
}

.post-activity div{
    display: flex;
    align-items: center;
}

.post-activity-user-icon{
    width: 22px;
    border-radius: 50%;
}

.post-activity-arrow-icon{
    width: 12px;
    margin-left: 5px;
}

.post-activity-link img{
    width: 18px;
    margin-right: 8px;
}


/*------------profile-drop-down-menu-----------*/

.profile-menu-wrap{
    position: absolute;
    top: 100%;
    right: 5%;
    width: 320px;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.5s;
}

.profile-menu-wrap.open-menu{
    max-height: 400px;
}

.profile-menu{
    background: #222;
    color: #fff;
    padding: 20px;
    margin: 10px;
}

.user-info{
    display: flex;
    align-items: center;
}

.user-info img{
    width: 50px;
    border-radius: 50%;
    margin-right: 15px;
}

.user-info h3{
    font-weight: 500;
    margin-bottom: -7px;
}

.user-info a{
    color: #c9dbf8;
    font-size: 13px;
}

.profile-menu hr{
    border: 0;
    height: 1px;
    width: 100%;
    background: #fff;
    margin: 15px 0 10px;
}

.profile-menu-link{
    display: flex;
    align-items: center;
    color: #fff;
    margin: 12px 0;
    font-size: 14px;
}

.profile-menu-link p{
    width: 100%;
}

.profile-menu-link img{
    width: 30px;
    border-radius: 50%;
    margin-right: 15px;
}

/*------------profile-page-----------*/

.profile-main{
    flex-basis: 73%;
}

.profile-sidebar{
    flex-basis: 25%;
    align-self: flex-start;
    position: sticky;
    top: 73px;
}

.profile-container{
    background: #fff;
}

.profile-container-inner{
    padding: 0 4% 10px;
}

.profile-pic{
    width: 150px;
    border-radius: 50%;
    margin-top: -75px;
    padding: 5px;
    background: #fff;
}

.profile-container h1{
    font-size: 28px;
    font-weight: 600;
    color: #222;
}

.profile-container p{
    margin-top: 5px;
}

.profile-container p a{
    color: #045be6;
    font-weight: 500;
}

.profile-description{
    background: #fff;
    padding: 20px 4% 30px;
    margin: 12px 0;
}

.profile-description h2{
    color: #333;
    margin: 10px 0  20px;
    font-weight: 600;
}

.see-more-link{
    display: block;
    text-align: right;
    font-size: 15px;
    padding-top: 10px;
}

.profile-desc-row{
    display: flex;
    align-items: flex-start;
    margin: 20px 0;
}

.profile-desc-row img{
width: 50px;
margin-right: 25px;
margin-top: 5px;
}

.profile-desc-row div{
    width: 100%;
}

.profile-desc-row h3{
    font-size: 18px;
    font-weight: 600;
    color: #333;
}

.profile-desc-row p{
    margin-top: 15px;
}

.profile-desc-row hr{
    border: 0;
    border-bottom: 1px  solid #999;
    margin-top: 10px;
}


/*------------media query for small screen-----------*/
@media only screen and (max-width: 600px){

    .search-box{
        background: transparent;
        width: auto;
        padding: auto;
    }
    .search-box{
        width: 0;
        padding: 0;
    }

    .navbar-center ul li a span{
        display: none;
    }
    .navbar-center ul li a{
        padding-right: 0;
        margin: 5px;
    }
    .navbar-profile img{
        width: 30px;
    }
    .container{
        padding: 15px 3%;
    }
    .left-sidebar, .right-sidebar{
        flex-basis: 100%;
        position: relative;
        top: unset;
    }
    .main-content{
        flex-basis: 100%;
        margin-top: 15px;
    }
    .profile-main, .profile-sidebar{
        flex-basis: 100%;
    }
    .profile-container{
        font-size: 14px;
    }
    .profile-pic{
        width: 100px;
        margin-top: -50px;
    }
    .profile-description{
        font-size: 14px;
    }

}


/*------------overlay-----------*/
.overlay-container {
    position: relative;
    display: inline-block;
}

.overlay {
    max-width: 100%;
    height: auto;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); /* Adjust the overlay color and opacity */
    opacity: 0; /* Initially hidden */
    transition: opacity 0.3s ease-in-out;
}

.overlay-container:hover .overlay {
    opacity: 1; /* Show the overlay on hover */
}